import Vue from "vue";

import common from './common.js'
import sceneLibrary from './sceneLibrary.js'
import workManagement from './workManagement.js'
import modelLibrary from './modelLibrary.js'
import algorithmsLibrary from './algorithmsLibrary.js'

const api = {
    common,
    sceneLibrary,
    workManagement,
    modelLibrary,
    algorithmsLibrary
}

export default api;
Vue.prototype.$api = api;